03/06/2015 12:15 AM - Mario Fevre

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Has patch: Hito:
Description

ES

Al realizar algunos cambios automaticos de accién, el cursor y el botdn seleccionado en la barra de herramientas permaneces
desactualizados. Esto tiende a confundir al usuario.

El mismo efecto ocurre cuando con una herramienta activa (ej: seleccionar) se cambia la capa activa. gvSIG cambia
automéaticamente a zoom (no parece apropiado pero es lo que hace), pero el boton de la barra de herremintas sigue mostrando
seleccionar.

Reproducion del error

. Nuevo proyecto

. nueva vista

. nueva capa de poligonos

. comenzar edicién

. iniciar dibujo de polilinea seleccionando el boton correspondiente
. marcar 1, 2, 3 puntos

. presionar tecla esc

NOoO Ok W=

resultado: la funciéon a cambiado a seleccionar, pero todo indica que sigue activa la funcion dibujar polilinea.

EN

At some automatic action changes, cursor remains whith previous information, also buttons. This can be confusing for users.
Similar behaviour: at change active layer, when active tool like select: tool changes to zoom (seem wrong by itself) but button at
toolbar stays select.

Bug reproduction

. new project

. new view

. new poligon layer

. start editing

. start pliline draw usin poliline button
. pick, 1, 2, 3 points drawing the poli
. press esc key

NO Ok WD =

result: now action is select, but everything looks like action remains draw poli.

History

#1 - 10/23/2015 12:25 PM - Alvaro Anguix
- Category set to Usability

#2 - 10/23/2015 12:28 PM - Alvaro Anguix
- Target version set to 2.3.0-2405 (rev. org.gvsig.desktop-2.0.108)
- Status changed from New to Closed

El cursor aparece correctamente en gvSIG 2.3
